<div class="card">
    <div>
        <div class="card-header h6">Part 4. Action Plan for Non- Compliant Requirements</div>
        <div class="card-margin">
            <div class="head">Select the appropriate response for "Compliant to PCI DSS Requirements" for each
                requirement. If you answer "No" to any of the requirements,
                you may be required to provide the date your company expects to be compliant with the requirement and a
                brief
                description of the actions being taken to meet the requirement.
            </div>
            <div class="mt-2">Check with the applicable payment brand(s) before completing Part 4.</div>
            <hr>
            <div class="display-wrap mt-5" *ngFor="let plan of actionPlans;let i = index;">
                <label class="col-md-3 col-sm-3 col-xs-2"><b>PCI DSS Requirement {{i + 1}}</b></label>
                <p class="float-right">:</p>
                <div class="col-md-9 col-sm-9 col-xs-10">{{plan.pcidssRequirementId.requirement}}
                    <br>
                    <b>Compliant to PCI DSS Requirements</b>
                    <div class="d-flex mt-2 ml-3">
                        <label class="custom-radio mr-5">
                            <input name="{{i + 'yes'}}" type="radio" class="with-gap" [value]="true" [(ngModel)]="plan.compliant">Yes
                        </label>
                        <label class="custom-radio ml-5">
                            <input name="{{i + 'no'}}" type="radio" class="with-gap" [value]="false" [(ngModel)]="plan.compliant">No
                        </label>
                    </div>
                    <div *ngIf="plan.compliant === false" class="display-wrap mt-3">
                        <label class="col-md-2 col-sm-2 col-xs-2 mr-1 no-padding">Remediation Date</label>
                        <p class="float-right">:</p>
                        <div class="col-md-10 col-sm-10 col-xs-10 remove-padding">
                            <form class="form-inline">
                                <div class="form-group">
                                    <div class="input-group">
                                        <input class="form-control custom-btn border-right-0 w-100" [minDate]="minDate"
                                               name="dp" [(ngModel)]="plan.dpDate" ngbDatepicker #datePicker="ngbDatepicker">
                                        <div class="input-group-append">
                                            <button class="btn custom-btn" (click)="datePicker.toggle()" type="button">
                                                <img src="../../../../content/images/calender-icon.svg"
                                                     style="width: 1.2rem; height: 1rem; cursor: pointer;"/>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div *ngIf="plan.compliant === false" class="display-wrap mt-1">
                        <label class="col-md-2 col-sm-2 col-xs-2 no-padding mr-1">Action</label>
                        <p class="float-right">:</p>
                        <div class="col-md-10 col-sm-10 col-xs-10 remove-padding">
                            <textarea class="w-100" rows="3" name="Action" [(ngModel)]="plan.remediationPlan"></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row-md action-div">
        <jhi-button (click)="back()" cancel>Cancel</jhi-button>
        <jhi-button (click)="submit()" submit>Submit</jhi-button>
    </div>
    <div class="arrows mt-auto mb-4">
        <i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i>
    </div>
</div>
